<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Attributes and Links</title>
</head>
<body>

    <h2 id="top">HTML Attributes</h2>
    <!-- Paragraph tags by default are aligned to the left. The align attribute changes the alignment of the paragraph element. -->
    <!-- HTML elements have a 'default' behavior when shown in a browser. Attributes allow us to change these behaviors. -->
    <p align="center"><i>Modifiers of element behaviors</i></p>

    <h2>HTML Images</h2>
    <p align="right"><i>An image can be shown using &lt;img&gt; tag along with its <b>srs</b> attribute.</i></p>
    <!-- &lt; and &gt; are called HTML entities. They are used to include special characters into text. Some special character used in HTML are read as part of the code. The angle (><) is a common example of this. To avoid any errors in code, we use HTML entities.-->

    <!-- Adds image using absolute linking -->
    <a href="https://place-puppy.com/300x300">
        <img src="https://place-puppy.com/300x300" alt="">
    </a>
    <p>
        <code>
            &lt;img src="https://place-puppy.com/300x300"&gt;
        </code>
    </p>

    <!-- Adds image using relative linking -->
    <a href="https://zuitt.co" target="_blank">
        <img src="../discussion/img/zuitt logo.png" alt="">
    </a>

    <p>
        <code>
            &lt;img src="../discussion/img/zuitt logo.png"&gt;
        </code>
    </p>

    <p>Valid image extensions are the following:</p>
    <ol type="a" reversed>
        <li>png</li>
        <li>jpg</li>
        <li>gif</li>
        <li>svg</li>
        <li>webp</li>
    </ol>

    <p>Take a look at w3schools attribute references
    <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a></p>

    <h2>HTML Links</h2>

    <h4>Absolute Link</h4>
    <!-- Creates a hyperlink element that redirects to a different page -->

    <a href="https://zuitt.co">I'm a hyperlink</a>

    <h4>Relative Link</h4>
    <p>Go to <a href="link.html">link.html</a> page.</p>

    <p>Go to <a href="#top">top</a></p>

</body>
</html>